Subject: Re: bug#6283: doc/lispref/searching.texi reference to octal code `0377' correct?

From: Eli Zaretskii <[email-masked]>
Date: Mon, 31 May 2010 21:51:16 +0300

> Date: Mon, 31 May 2010 10:45:59 -0400
> From: MON KEY <[email-masked]>
> Cc: [email-masked]
> 
> Noticed this morning the following section of the manual which
> references hex values in radian notation:
> 
> ,---- (info "(elisp)Coding Systems")
> |
> |    The result of encoding, and the input to decoding, are not ordinary
> | text.  They logically consist of a series of byte values; that is, a
> | series of ASCII and eight-bit characters.  In unibyte buffers and
> | strings, these characters have codes in the range 0 through #xFF
> | (255).  In a multibyte buffer or string, eight-bit characters have
> | character codes higher than #xFF (*note Text Representations::), but
> | Emacs transparently converts them to their single-byte values when you
> | encode or decode such text.
> |
> `----
> 
> This is, I believe an example of contradictory convention in the manual.

Please be more specific, because I don't see any contradictions here.
Overloaded terminology, maybe, but not contradictions.